<?php
    $ncare_author_data = get_the_author_meta( 'blog_author_bio' );
    $ncare_author_position = get_the_author_meta( 'blog_author_position' );
    $ncare_author_bio = get_the_author_meta( 'blog_author_bio');
    $ncare_facebook_url = get_the_author_meta( 'blog_author_facebook_url' );
    $ncare_twitter_url = get_the_author_meta( 'blog_author_twitter_url' );
    $ncare_linkedin_url = get_the_author_meta( 'blog_author_linkedin_url' );
    $ncare_vimeo_url = get_the_author_meta( 'blog_author_vimeo_url' );
    $author_info =  get_the_author_meta( 'display_name' );
    
    $author_bio_avatar_size = 180;
    if ( $ncare_author_data != '' ):
?>
<div class="postbox-details-author-wrap mb-20">
    <h5 class="postbox-details-author-main-title mb-35"><?php echo esc_html__( 'Post Author', 'ncare' ) ?></h5>
    <div class="row">
        <div class="col-xl-11">
        <div class="postbox-details-author d-sm-flex mb-50 mr-45">
            <div class="postbox-details-author-thumb">
            <a href="<?php print esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) )?>">
                <?php print get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size, '', '', [ 'class' => 'media-object img-circle' ] );?>  
            </a>
            </div>
            <div class="postbox-details-author-content mt-10">
                <h5 class="postbox-details-author-title"><a href="<?php print esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) )?>"><?php print esc_html($author_info); ?></a></h5>
                <span><?php echo esc_html( $ncare_author_position ); ?></span>
                <p>“<?php echo esc_html( $ncare_author_bio ); ?>”</p>
                <div class="postbox-details-author-social">
                    <?php if(!empty($ncare_facebook_url)) :?>
                    <a href="<?php echo esc_url($ncare_facebook_url); ?>"><i class="fa-brands fa-facebook-f"></i></a>
                    <?php endif; ?>

                    <?php if(!empty($ncare_twitter_url)) :?>
                    <a href="<?php echo esc_url($ncare_twitter_url); ?>"><i class="fa-brands fa-twitter"></i></a>
                    <?php endif; ?>

                    <?php if(!empty($ncare_linkedin_url)) :?>
                    <a href="<?php echo esc_url($ncare_linkedin_url); ?>"><i class="fa-brands fa-linkedin-in"></i></a>
                    <?php endif; ?>

                    <?php if(!empty($ncare_vimeo_url)) :?>
                    <a href="<?php echo esc_url($ncare_vimeo_url); ?>"><i class="fa-brands fa-vimeo-v"></i></a>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        </div>
    </div>
</div>
<?php endif;?>
