<?php

/**
 * Template part for displaying post btn
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ncare
 */

$ncare_blog_btn = get_theme_mod( 'ncare_blog_btn', 'Read More' );
$ncare_blog_btn_switch = get_theme_mod( 'ncare_blog_btn_switch', true );
$ncare_blog_btn_icon = get_template_directory_uri() . '/assets/img/icon/long-arrow.svg';

?>
<?php if ( !empty( $ncare_blog_btn_switch ) ): ?>
<div class="postbox-read-more">
    <a href="<?php the_permalink();?>"><?php print esc_html( $ncare_blog_btn );?>
        <span><img src="<?php echo esc_url( $ncare_blog_btn_icon ); ?>" alt="<?php esc_attr__( 'blog-btn-icon', 'ncare' )?>"></span>
    </a>                               
</div>
<?php endif;?>

